Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Class IEssOpMdxQuery.EEssMemberIdentifierType

    java.lang.Object
      com.essbase.api.dataquery.IEssOpMdxQuery.EEssMemberIdentifierType

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssOpMdxQuery

public static final class IEssOpMdxQuery.EEssMemberIdentifierType
extends java.lang.Object
implements IEssEnum

The EEssMemberIdentifierType class is an enumeration of member identifier types. See the description of setMemberIdentifierType function in IEssOpMdxQuery call to know more about the possible values of this enumeration.

Field Summary
`static IEssOpMdxQuery.EEssMemberIdentifierType` | `ALIAS` MbrIdType: Alias.
`static int` | `ALIAS_INT_VALUE` MbrIdType (int value): Alias.
`static IEssOpMdxQuery.EEssMemberIdentifierType` | `NAME` MbrIdType : Name.
`static int` | `NAME_INT_VALUE` MbrIdType (int value): Name.

Constructor Summary
`IEssOpMdxQuery.EEssMemberIdentifierType()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssOpMdxQuery.EEssMemberIdentifierType` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssOpMdxQuery.EEssMemberIdentifierType` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssOpMdxQuery.EEssMemberIdentifierType[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final IEssOpMdxQuery.EEssMemberIdentifierType NAME

  MbrIdType : Name.

### ALIAS

    public static final IEssOpMdxQuery.EEssMemberIdentifierType ALIAS

  MbrIdType: Alias.

### NAME_INT_VALUE

    public static final int NAME_INT_VALUE

  MbrIdType (int value): Name.

  See Also:
    Constant Field Values

### ALIAS_INT_VALUE

    public static final int ALIAS_INT_VALUE

  MbrIdType (int value): Alias.

  See Also:
    Constant Field Values

Constructor Detail

### IEssOpMdxQuery.EEssMemberIdentifierType

    public IEssOpMdxQuery.EEssMemberIdentifierType()

Method Detail

### sm_fromString

    public static IEssOpMdxQuery.EEssMemberIdentifierType sm_fromString(java.lang.String strValue)
                                                                 throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssOpMdxQuery.EEssMemberIdentifierType sm_fromInt(int intValue)
                                                              throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssOpMdxQuery.EEssMemberIdentifierType[] sm_values()
                                                               throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD